using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using RDH.Data.Models;

//
namespace RDH.Data.BLL
{

    public partial interface IDispensingDeviceBLL
    {
        DispensingDevice DispensingDevice();
        IEnumerable<DispensingDevice> ListDispensingDevice();
        IEnumerable<DispensingDevice> ListDispensingDeviceWithSection();
        bool IsCodeRegister(DispensingDevice deviceByCode);
        bool IsNodeExit(DispensingDevice deviceByNode);
        void ResetDevice();

    }
}
